package fr.cnam.metier;

import java.util.*;
import fr.cnam.metier.IPersonne;
import fr.cnam.metier.Personne;
import fr.cnam.connecteur.*;

public class ProxyPersonne implements IPersonne
{
    private INotifier csv;
    private Personne personne;

    public ProxyPersonne(INotifier csv,Personne personne)
    {
        this.csv = csv;
        this.personne = personne;
    }

    public String getNom(){return personne.getNom();}
    public String getPrenom(){return personne.getPrenom();}
    public String getAdresse(){return personne.getAdresse();}

    public void setAdresse(String adresse)
    {
        try{
            personne.setAdresse(adresse);
            System.out.println("setAdresse: notifier");
            csv.notifier(personne);
        }catch(Exception ex){}
    }
    
    public String toString()
    {
        return personne.toString();
    }
}
