import java.util.*;
import fr.cnam.connecteur.*;
import fr.cnam.metier.*;

public class Appli
{
    public static void main(String[] args) throws Exception
    {
        Vue1 vue1 = new Vue1();
        ConnecteurClient.add(vue1);

        Vue2 vue2 = new Vue2();
        ConnecteurClient.add(vue2);

        Vue3 vue3 = new Vue3();
        ConnecteurClient.add(vue3);


        // --------------------------------------------------------------------

        FactoryPersonne  factory = new 
          FactoryPersonne(ConnecteurServeur.creer(ConnecteurClient.getInstance()));

        IPersonne p1 = factory.creerPersonne("LAFONT","Pierre","Toulouse");
        IPersonne p2 = factory.creerPersonne("DUPONT","Paul","Marseille");

        Scanner sc = new Scanner(System.in);
        while (true)
            {
                factory.lister();

                System.out.print("Index : ");
                int index = sc.nextInt();
                System.out.print("Adresse : ");
                String adresse = sc.next();
                factory.get(index).setAdresse(adresse);
            }
        
    }
}

class Vue1 implements Observer
{
    public void update(Observable obsva,Object any)
    {
        Personne p = (Personne)any;
        System.out.println("----------- VUE1 -----------");
        System.out.println(p);
    }        
}

class Vue2 implements Observer
{
    public void update(Observable obsva,Object any)
    {
        Personne p = (Personne)any;
        System.out.println("----------- VUE2 -----------");
        System.out.println(p);
    }        
}


class Vue3 implements Observer
{
    public void update(Observable obsva,Object any)
    {
        Personne p = (Personne)any;
        System.out.println("-----xxxxxxxxxxx------ VUE3 -----------");
        System.out.println(p);
    }        
}
