
import java.util.*;
import java.rmi.*;
import fr.cnam.connecteur.*;
import fr.cnam.metier.Personne;

public class Client
{
    public static void main(String[] args) throws Exception
    {
        Vue1 vue1 = new Vue1();
        ConnecteurClient.add(vue1);

        Vue2 vue2 = new Vue2();
        ConnecteurClient.add(vue2);

    }
}

class Vue1 implements Observer
{
    public void update(Observable obsva,Object any)
    {
        Personne p = (Personne)any;
        System.out.println("----------- VUE1 -----------");
        System.out.println(p);
    }        
}

class Vue2 implements Observer
{
    public void update(Observable obsva,Object any)
    {
        Personne p = (Personne)any;
        System.out.println("----------- VUE2 -----------");
        System.out.println(p);
    }        
}
